<h1 mat-dialog-title>Добавление уровней бюджета</h1>
<div mat-dialog-content>

	<div class="mb-8"> Направление подготовки: {{nameSpeciality}} </div>
	<div>

		<!--<ng-container *ngFor="let item of clsBudgetLevels">
			<mat-checkbox [checked]="defineBudgetLevels.indexOf(item.id)>=0"
			              [disabled]="defineBudgetLevels.indexOf(item.id)>=0">
				{{item.name}}
			</mat-checkbox>

		</ng-container>-->

		<mat-form-field fxFlex="" appearance="fill">
			<mat-label>Уровни бюджета</mat-label>
			<mat-select [(ngModel)]="data" multiple disableRipple >
				<ng-container>
					<mat-option *ngFor="let item of clsBudgetLevels"
					            [value]="item.id"
					            selected
					            [disabled]="defineBudgetLevels.indexOf(item.id)>=0">
						{{item.name}}
					</mat-option>
				</ng-container>

			</mat-select>
		</mat-form-field>
	</div>

</div>
<div mat-dialog-actions>
	<button mat-button [mat-dialog-close]>Отмена</button>
	<button mat-button  cdkFocusInitial (click)="sendData()" [disabled]="!data.length">Добавить</button>
</div>
